## blt 2.4z

=== debian/changelog ===
blt (2.4z-7ubuntu2) trusty; urgency=medium

  * library-search-8.6.patch: Fix tcl8.6 library search at runtime.
  * debian/blt-dev.links: Fix .so and .a symlinks to the libraries.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 16 Apr 2014 19:54:17 +0100

blt (2.4z-7ubuntu1) trusty; urgency=medium

  * Build for Tcl/Tk 8.6.
  * Fixed build with newer Tcl/Tk package which switched from shlibs to
    symbols (patch from Debian #724882).

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Jan 2014 16:38:30 +0100

blt (2.4z-7) unstable; urgency=low

  * QA upload.
  * Rename man-n-2.diff to doc-typos.diff.
  * Move man page fixes from 02-debian-all.diff into doc-typos.diff.
  * Remove autotools update from 02-debian-all.diff, they are now handled
    automatically by dh_autotools-dev helpers.
  * Namespace extremely generic man page names with «blt::».
    (Closes: #721386, #722660)
  * Rename BLT.3 to blt::intro.3 to match the .TH entry.
  * Do not run «make distclean» on the build target, that's the job of the
    clean target.
  * Remove redundant binary package Sections inherited from the source stanza.
  * Annotate hardening.diff, stating why the patch is wrong, and how it
    should be fixed.

 -- Guillem Jover <guillem@debian.org>  Sun, 22 Sep 2013 17:59:47 +0200

blt (2.4z-6) unstable; urgency=low

  * QA upload, orphan the package.

  [ Paul E. Johnson ]
  * Fix zooming (Closes: #524149)
  * Fix crash in wish (Closes: #636629)
  * Version 2.4z-6 introduces quilt-3.0 patches.
  * Changes in control and rules file to silence lintian warnings.
  * 02-debian-all.diff includes all of the changes that were applied
    to the source code by previous packager. Almost all of the changes
    are corrections in spelling in the blt documentation and examples.
  * Apply 3 changes based on revisions developed by the fedora linux team.
    + 03-fedora-patch-2.diff
    + 04-fedora-tk8.5.6.patch.diff
    + 05-tk8.5-zoomstack.diff
   * Those patches are required to solve segmentation faults that are observed
    when blt is used with tcltk 8.5. We have a substantial amount of
    experience using this patched version of blt in the Swarm
    Simulation System (www.swarm.org) and have observed no ill-effects.
   * new patches for man page cleanups to silence lintian warningss.
   * patch configure according to Debian hardening policy.

  [ Georges Khaznadar ]
  * changed the source format to 3.0 (quilt)
  * modified every diff file in debian/patches to comply with the
    build tools
  * checked that the package is built successfully
  * modified Standards-Version -> 3.9.4, comptaibility level -> 9
  * added a build-depedency on quilt and ${misc:Depends} clauses
  * changed the build-depedency on debhelper (now: >= 9)
  * set the urgency flag to low (normal is not allowed)
  * removed the leading article in blt-dev's and blt-demo's description lines

  [ Matthias Klose ]
  * Allow to build using Tcl/Tk 8.5 installed in a multiarch location.
  * Stop building for Tk 8.4.
  * Allow parallel builds.

 -- Matthias Klose <doko@debian.org>  Fri, 30 Aug 2013 11:13:17 +0200

blt (2.4z-4.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add tcl8.5 check in library/pkgIndex.tcl.in. (Closes: #525860).
    + Thanks to Bill Metzenthen for the fix.
  * Update config.sub,config.guess files. (Closes: #536409).
  * Fix section and typo in blt.doc-base.
  * Move Homepage from package descriptions to source stanza.
  * Make clean not ignore errors.
  * Replace deprecated ${Source-Version} with ${binary:Version}.

 -- Barry deFreese <bdefreese@debian.org>  Fri, 04 Dec 2009 09:28:09 -0500

blt (2.4z-4.1) unstable; urgency=low

  * NMU (needed to build python-tk against tk8.5).
  * Based on the patch made in Ubuntu:
    - Build for tk8.5, drop the tk8.3 build, still keep the build for
      tk8.4. Closes: #473006.
    - debian/control: Drop {tcl,tk}8.3 dependencies, add {tcl,tk}8.5
      dependencies.
    - debian/rules: Do not build the library for Tcl 8.3.
    - debian/hackshlibs: Do not try to mangle 8.3 libraries.
    - Apply patch from Fedora to build with tk8.5.
  * In dh_makeshlibs bump the version to 2.4z-4.1, first version providing
    tk8.5 libs.
  * Fix typos in hiertable and treeview man pages. Closes: #350362, #350363.

 -- Matthias Klose <doko@debian.org>  Sat, 28 Feb 2009 17:00:25 +0100

blt (2.4z-4) unstable; urgency=low

  * Remove dependencies (and build-dependencies) on now-obsolete tcl/tk
    8.0 packages.
  * Added new. up-to-date config.{sub,guess} files (closes: #342393).
  * Added a README.Debian file, and mentioned the lack of "bltwish" (and
    how to cope) in there (closes: #304805).
  * Fixed numerous typos in the man pages, as found and reported by A
    Costa (closes: #310361, #310362, #310363, #310364, #310366, #310367),
    (closes: #310369, #310370, #310372, #310374, #310377, #326522).  Also
    fixed the corresponding typos in the HTML docs.

 -- Chris Waters <xtifr@debian.org>  Sat, 28 Jan 2006 18:20:07 -0800

blt (2.4z-3) unstable; urgency=low

  * Tighten up -dev package dependency on blt, for extra safety in
    future.
  * Added -D_REENTRANT to CFLAGS for that extra, tasty bit of policy
    compliance.
  * Completely rewrote the package descriptions; they are now shorter,
    more descriptive, and contain far fewer grammar and spelling errors,
    (closes: #204553).
  * Moved the man pages and HTML docs for the BLT commands from the
    blt-dev package to the blt package, where they really belong.  Left
    just the man pages for the BLT C API calls in the blt-dev package.
    Renamed the command man pages to have the extension .3blt (I wanted to
    use .3tcl, but that caused a conflict with the tcllib package).
  * Wrote a handy, but very hackish, script to generate a shlibs.local
    file with the very special dependencies needed by blt.  Among other
    things, the script puts tcl8.4 first on the list of tcl alternatives.

