## blt 2.5.3

=== debian/changelog ===
blt (2.5.3-4) unstable; urgency=medium

  * Made blt-dev replace blt (<< 2.5) because the doc-base file is moved to
    the former package from the latter.
  * Added patch which fixes BLT stubs declaration.
  * Added a few patches which eliminate GCC warnings about incompatible
    pointer types, using possibly unitialized variables, unused variables
    and casts to/from pointer from/to integer of different size. This
    fixes a few segfaults in demos (but not all of them).

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 09 Jul 2014 19:26:06 +0400

blt (2.5.3-3) unstable; urgency=medium

  * Added missing headers to bltNsUtil.c to fix build failures on 64bit
    architectures.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 06 Jul 2014 07:30:06 +0400

blt (2.5.3-2) unstable; urgency=medium

  * Restored forgotten call to dh_autotools-dev_updateconfig and explicitly
    supplied --host option to the configure call to build the package on
    kfreebsd-* architectures.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 04 Jul 2014 15:54:47 +0400

blt (2.5.3-1) unstable; urgency=low

  * New maintainer Sergei Golovan (closes: #664092).
  * New upstream and new upstream release.
  * Reviewed and refreshed patches.
  * Added a patch from the FreeBSD BLT port. It allows BLT to work when it's
    built with Tcl/Tk 8.6 (closes: #753476).
  * Moved HTML documentation from blt to blt-dev.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 04 Jul 2014 09:35:12 +0400

blt (2.4z-9) unstable; urgency=high

  * QA upload.
  * Build using Tcl/Tk 8.6.

 -- Matthias Klose <doko@debian.org>  Fri, 13 Jun 2014 13:21:11 +0200

blt (2.4z-8) unstable; urgency=low

  * QA upload.
  * Fixed build with newer Tcl/Tk package which switched from shlibs to
    symbols. (Closes: #724882)

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 16 Apr 2014 13:10:50 +0400
