=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: blt
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: tk8.6-dev, debhelper (>= 9), autotools-dev (>= 20120210.1),
- dpkg-dev (>= 1.16.1)
-Standards-Version: 3.9.4
+Maintainer: Sergei Golovan <sgolovan@debian.org>
+Build-Depends: tk8.6-dev, debhelper (>= 9), autotools-dev (>= 20120210.1), dpkg-dev (>= 1.16.1)
+Standards-Version: 3.9.5
 Homepage: http://blt.sourceforge.net/
 
 Package: blt
 Architecture: any
 Section: libs
-Depends: ${misc:Depends},${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Conflicts: blt4.2, blt8.0-unoff, blt8.0, blt-common
 Replaces: blt4.2, blt8.0-unoff, blt8.0, blt-common, blt-dev (<< 2.4z-3), blt-demo (<< 2.4i-1)
 Provides: blt-common
@@ -29,10 +27,9 @@
 
 Package: blt-dev
 Architecture: any
-Depends: ${misc:Depends},
- blt (= ${binary:Version}), tk8.6-dev, tcl8.6-dev
+Depends: ${misc:Depends}, blt (= ${binary:Version}), tk8.6-dev
 Conflicts: blt8.0-dev, blt8.0-unoff
-Replaces: blt4.2-dev, blt8.0-unoff, blt (<< 2.4i-1), blt4.2
+Replaces: blt4.2-dev, blt8.0-unoff, blt (<< 2.5), blt4.2
 Suggests: blt-demo
 Description: graphics extension library for Tcl/Tk - development files
  BLT is a library of useful extensions for the Tcl language and the
@@ -47,7 +44,7 @@
 
 Package: blt-demo
 Architecture: all
-Depends: ${misc:Depends}, blt, tk8.6 | wish, tcl8.6 | tclsh
+Depends: ${misc:Depends}, blt, tcl8.6, tk8.6
 Conflicts: blt4.2, blt8.0 (<< 2.4i-1)
 Replaces: blt-dev (<< 2.4j-1)
 Description: graphics extension library for Tcl/Tk - demos and examples
