## blt 2.5.3%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -14,15 +14,10 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_autotools-dev_updateconfig
 	dh_auto_configure -- \
 			  --host=$(DEB_HOST_GNU_TYPE) \
 			  --with-tcl=/usr/lib/$(DEB_HOST_MULTIARCH)/tcl$(tclv) \
 			  --with-tk=/usr/lib/$(DEB_HOST_MULTIARCH)/tk$(tclv)
-
-override_dh_clean:
-	[ ! -f Makefile ] || $(MAKE) clean
-	[ ! -f Makefile ] || $(MAKE) distclean
 
 override_dh_auto_build:
 	$(MAKE) lib_so=$(lib_so) \
@@ -66,10 +61,10 @@
 
 override_dh_installdocs:
 	dh_installdocs
-	rm debian/blt-dev/usr/share/doc/blt-dev/html/*.vc
+	rm -f debian/blt-dev/usr/share/doc/blt-dev/html/*.vc
 
 override_dh_makeshlibs:
-	dh_makeshlibs -V 'blt (>= 2.5.3)'
+	dh_makeshlibs -V 'tk8.6-blt2.5 (>= 2.5.3)'
 
 get-orig-source:
 	CURDIR=`pwd` && TMPDIR=`mktemp -d /tmp/blt.XXXXXX` && \
@@ -77,9 +72,12 @@
 	wget -O tmp.zip \
 	     http://prdownloads.sourceforge.net/wize/blt-src-$(v).3.zip && \
 	unzip tmp.zip && \
-	tar -Jcf $$CURDIR/blt_$(v).3.orig.tar.xz blt$(v) && \
+	rm -rv blt$(v)/library/dd_protocols && \
+	(cd blt$(v) && patch -p1 <$$CURDIR/debian/patches/source.patch) && \
+	sed -i -e 's/\$$(ddFiles)//' blt$(v)/library/Makefile.in && \
+	tar -Jcf $$CURDIR/blt_$(v).3+dfsg.orig.tar.xz blt$(v) && \
 	rm -rf $$TMPDIR
 
-.PHONY: override_dh_auto_configure override_dh_clean override_dh_auto_build \
+.PHONY: override_dh_auto_configure override_dh_auto_build \
 	override_dh_auto_install override_dh_makeshlibs override_dh_installdocs \
 	get-orig-source
