## blt 2.5.3+dfsg

=== debian/changelog ===
blt (2.5.3+dfsg-8) unstable; urgency=medium

  * Minimally fix FTBFS with GCC 15 (closes: #1096378).
  * Fix rebuilding source after successful build (closes: #1043970).
  * Bump the standards version to 4.7.2.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 05 Mar 2025 14:49:43 +0300

blt (2.5.3+dfsg-7) unstable; urgency=medium

  * Disable JPEG support because enabling it interferences with Debian
    bootstrap procedure by adding new dependency on jpeg-turbo
    (closes: #1058678).

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 15 Dec 2023 13:10:25 +0300

blt (2.5.3+dfsg-6) unstable; urgency=medium

  * Enable JPEG support (closes: #1032850).
  * Bump the debhelper compatibility level to 13.
  * Bump the standards version to 4.6.2.
  * Add the VCS headers to debian/control.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 12 Dec 2023 17:44:23 +0300

blt (2.5.3+dfsg-4.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Wed, 23 Dec 2020 19:59:32 +0100

blt (2.5.3+dfsg-4) unstable; urgency=medium

  * Rebuild to restore binary compatibility with the current Tcl/Tk 8.6
    (closes: #888818).
  * Bump the debhelper compatibility level to 10.
  * Remove usage of autotools-dev and dh_autoreconf since they aren't
    necessary for debhelper compatibility level 10.
  * Bump the standards version to 4.1.3.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 30 Jan 2018 11:57:16 +0300

blt (2.5.3+dfsg-3) unstable; urgency=medium

  * Added the autotools-dev build dependency to replace the outdated
    config.guess and config.sub by newer ones.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 25 Nov 2015 13:41:51 +0300

blt (2.5.3+dfsg-2) unstable; urgency=medium

  * Fixed the distclean target in Makefile.in which fixes FTBFS when build
    twice in a row (closes: #791601).
  * Fixed the override_dh_installdoc target in debian/rules to fix FTBFS
    when dpkg-buildpackage -A is called for building the architecture-
    independent packages only (closes: #805999).
  * debian/patches/autoreconf.patch: fix autotools input for
    compatibility with recent autoconf.  Thanks to Helmut Grohne
    <helmut@subdivi.de> and Steve Langasek <vorlon@debian.org>
    (closes: #772590).
  * debian/patches/pkgindex.patch: correct this patch to patch the
    configure.in source, not the generated configure script.
  * debian/patches/install.patch: fix the distclean targets.
  * debian/patches/*: remove patching of autogenerated configure
  * Drop debian/rules override_dh_clean target, which gets it wrong.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 25 Nov 2015 11:28:10 +0300

blt (2.5.3+dfsg-1) unstable; urgency=medium

  * Removed non-distributable files library/dd_protocols/* from the source
    package (closes: #769814).
  * Split out the tk8.6-blt2.5 package to reflect the changed library soname.
    The 8.6 suffix is added because this package works only with Tcl/Tk 8.6.
    Added breaks header with all packages dependent on blt which included
    the previous library soname. This prevents partial upgrades
    (closes: #751767).
  * Bumped the standards version to 3.9.6.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 21 Nov 2014 17:10:39 +0300
