=== debian/control ===
--- 
+++ 
@@ -2,19 +2,19 @@
 Section: devel
 Priority: optional
 Maintainer: Sergei Golovan <sgolovan@debian.org>
-Build-Depends: tk8.6-dev, debhelper (>= 9), autotools-dev (>= 20120210.1), dpkg-dev (>= 1.16.1)
-Standards-Version: 3.9.5
+Build-Depends: debhelper-compat (= 13), dpkg-dev (>= 1.16.1), tk8.6-dev
+Standards-Version: 4.7.2
 Homepage: http://blt.sourceforge.net/
+Vcs-Browser: https://salsa.debian.org/tcltk-team/blt
+Vcs-Git: https://salsa.debian.org/tcltk-team/blt.git
 
-Package: blt
+Package: tk8.6-blt2.5
 Architecture: any
 Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Conflicts: blt4.2, blt8.0-unoff, blt8.0, blt-common
-Replaces: blt4.2, blt8.0-unoff, blt8.0, blt-common, blt-dev (<< 2.4z-3), blt-demo (<< 2.4i-1)
-Provides: blt-common
+Replaces: blt4.2, blt8.0-unoff, blt8.0, blt-dev (<< 2.4z-3), blt-demo (<< 2.4i-1), blt (<< 2.5.3-5~)
 Suggests: blt-demo
-Description: graphics extension library for Tcl/Tk - run-time package
+Description: graphics extension library for Tcl/Tk - library
  BLT is a library of useful extensions for the Tcl language and the
  popular Tk graphical toolkit.  It adds a vector and tree data type,
  background execution and some debugging tools to Tcl, and provides
@@ -25,9 +25,26 @@
  This package contains everything you need to use BLT with your Tcl/Tk
  scripts and Tcl/Tk-enabled apps.
 
+Package: blt
+Architecture: any
+Section: libs
+Depends: ${misc:Depends}, ${shlibs:Depends}, tk8.6-blt2.5 (= ${binary:Version})
+Suggests: blt-demo
+Breaks: tclspice (<< 26-1~), tkdesk (<< 2.0-9.2~), skycat (<< 3.1.2+starlink1~b-7~), python-tk (<< 2.7.8-1~), python3-tk (<< 3.4.1-3~)
+Description: graphics extension library for Tcl/Tk - run-time
+ BLT is a library of useful extensions for the Tcl language and the
+ popular Tk graphical toolkit.  It adds a vector and tree data type,
+ background execution and some debugging tools to Tcl, and provides
+ several new widgets for Tk, including graphs, bar-charts, trees, tabs,
+ splines and hyper-links, as well as a new geometry manager, drag &
+ drop support, and more.
+ .
+ This package is a dummy package which depends on the current BLT
+ library.
+
 Package: blt-dev
 Architecture: any
-Depends: ${misc:Depends}, blt (= ${binary:Version}), tk8.6-dev
+Depends: ${misc:Depends}, tk8.6-blt2.5 (= ${binary:Version}), tk8.6-dev
 Conflicts: blt8.0-dev, blt8.0-unoff
 Replaces: blt4.2-dev, blt8.0-unoff, blt (<< 2.5), blt4.2
 Suggests: blt-demo
