=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,22 @@
 
 %:
 	dh $@
+
+override_dh_clean:
+	dh_clean
+	[ ! -f cf/install-sh.backup ] || mv cf/install-sh.backup cf/install-sh
+	[ ! -f configure.backup ] || mv configure.backup configure
+	[ ! -f generic/bltConfig.h.in.backup ] || mv generic/bltConfig.h.in.backup generic/bltConfig.h.in
+	[ ! -f generic/Makefile.backup ] || mv generic/Makefile.backup generic/Makefile
+	rm -f generic/shared/libBLT.$(v).so.$(tclv)
+	rm -f generic/shared/libBLTlite.$(v).so.$(tclv)
+
+override_dh_autoreconf:
+	[ -f cf/install-sh.backup ] || cp cf/install-sh cf/install-sh.backup
+	[ -f configure.backup ] || cp configure configure.backup
+	[ -f generic/bltConfig.h.in.backup ] || cp generic/bltConfig.h.in generic/bltConfig.h.in.backup
+	[ -f generic/Makefile.backup ] || cp generic/Makefile generic/Makefile.backup
+	dh_autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
