## blt 3.0~1+08570046+dfsg

=== debian/changelog ===
blt (3.0~1+08570046+dfsg-5) experimental; urgency=medium

  * Fix a patch which fixes a typo in blt.h.
  * Add a patch with fixes for two bugs in blt::graph (upper limit of
    errorbars and storing graph snaphots in case of an empty target image).

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 03 Jul 2025 14:33:19 +0300

blt (3.0~1+08570046+dfsg-4) experimental; urgency=medium

  * Add a patch which enables building MySQL data tables with MariaDB.
  * Add a patch with fixes for two typos in blt::parseargs code.
  * Add patches with fixes for two bugs in blt::tabset (destroying the
    tab on losing its window and incorrectly positioning windows with
    paddings).
  * Add a patch which fixes a typo in blt.h.
  * Add a patch with fixes for small bugs in vector math functions, and
    enhancements in implementation of the [blt::vector create] command.
  * Cleanup debian/control, remove unnecessary breaks.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 01 Jul 2025 12:06:32 +0300

blt (3.0~1+08570046+dfsg-3) experimental; urgency=medium

  * Cleanup patches, drop no longer used ones.
  * Fix the patch which adds two function to the BLT stubs table.
    This fixes segfault in processing JPEG images.
  * Add a patch which fixes segfault in hypertext widget when displaying
    selected text.
  * Add forward information to the patches.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 06 Jun 2025 17:25:43 +0300

blt (3.0~1+08570046+dfsg-2) experimental; urgency=medium

  * Do not apply an unnecessary zoomstack.patch.
  * Drop obsolete README.changes.
  * Refine patches, build the libraries with symbols enabled, fix missing
    symbols in a few libraries when built with stubs enabled.
  * Confirm that blt 3.0 fixes FTBFS with -j4 (closes: #1003455) and
    with --shuffle=reverse (closes: #1105241).

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 23 May 2025 17:19:57 +0300

blt (3.0~1+08570046+dfsg-1) experimental; urgency=medium

  * New upstream Git snapshot with new major BLT version.
  * Remove most of the accumulated patches.
  * Drop support for doc-base because BLT does not ship HTML docs anymore.
  * Rename the binary package from tk8.6-blt2.5 to tk-blt3.0 to reflect
    prospective porting to Tcl/Tk 9.0.
  * Split out the tk-blt3.0-extras package wit optional packages to
    minimize dependencies of tk-blt3.0.
  * Move the library inside architecture-specific directories and make the
    packages multi-arch-same.
  * Make blt-demo multi-arch foreign.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 19 May 2025 16:43:03 +0300
