=== debian/control ===
Source: blt
Section: devel
Priority: optional
Maintainer: Sergei Golovan <sgolovan@debian.org>
Build-Depends: debhelper-compat (= 13), tk8.6-dev,
 libx11-dev, libxrandr-dev, libxcursor-dev, libxcomposite-dev, libxext-dev,
 libsqlite3-dev, libpq-dev, libmariadb-dev-compat, libxpm-dev, libjpeg62-turbo-dev,
 libtiff-dev, libssh2-1-dev
Standards-Version: 4.7.2
Homepage: http://blt.sourceforge.net/
Vcs-Browser: https://salsa.debian.org/tcltk-team/blt
Vcs-Git: https://salsa.debian.org/tcltk-team/blt.git

Package: tk-blt3.0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: tk-blt3.0-extras, blt-demo, libtk8.6
Provides: tk-blt (=${binary:Version}), tk8.6-blt (= ${binary:Version}),
 tk8.6-blt3.0 (= ${binary:Version})
Description: Graphics extension library for Tcl/Tk - base library
 BLT is a library of useful extensions for the Tcl language and the
 popular Tk graphical toolkit.  It adds a vector and tree data type,
 background execution and some debugging tools to Tcl, and provides
 several new widgets for Tk, including graphs, bar-charts, trees, tabs,
 splines and hyper-links, as well as a new geometry manager, drag &
 drop support, and more.
 .
 This package contains the base BLT library to use with Tcl/Tk
 scripts and Tcl/Tk-enabled apps.

Package: tk-blt3.0-extras
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}, tk-blt3.0 (= ${binary:Version})
Suggests: blt-demo
Provides: tk-blt-extras (=${binary:Version}), tk8.6-blt-extras (= ${binary:Version}),
 tk8.6-blt3.0-extras (= ${binary:Version})
Description: Graphics extension library for Tcl/Tk - extras library
 BLT is a library of useful extensions for the Tcl language and the
 popular Tk graphical toolkit.  It adds a vector and tree data type,
 background execution and some debugging tools to Tcl, and provides
 several new widgets for Tk, including graphs, bar-charts, trees, tabs,
 splines and hyper-links, as well as a new geometry manager, drag &
 drop support, and more.
 .
 This package contains extensions for BLT, such as support for different
 image formats, database tables etc.

Package: blt
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, tk-blt3.0 (= ${binary:Version}), tk-blt3.0-extras (= ${binary:Version})
Suggests: blt-demo
Description: Graphics extension library for Tcl/Tk - run-time
 BLT is a library of useful extensions for the Tcl language and the
 popular Tk graphical toolkit.  It adds a vector and tree data type,
 background execution and some debugging tools to Tcl, and provides
 several new widgets for Tk, including graphs, bar-charts, trees, tabs,
 splines and hyper-links, as well as a new geometry manager, drag &
 drop support, and more.
 .
 This package is a dummy package which depends on the current BLT
 library.

Package: blt-dev
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, tk-blt3.0 (= ${binary:Version}), tk-blt3.0-extras (= ${binary:Version}), tk8.6-dev
Suggests: blt-demo
Description: Graphics extension library for Tcl/Tk - development files
 BLT is a library of useful extensions for the Tcl language and the
 popular Tk graphical toolkit.  It adds a vector and tree data type,
 background execution and some debugging tools to Tcl, and provides
 several new widgets for Tk, including graphs, bar-charts, trees, tabs,
 splines and hyper-links, as well as a new geometry manager, drag &
 drop support, and more.
 .
 This package contains the headers and libraries needed to extend or
 embed BLT.

Package: blt-demo
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, blt, tcl8.6, tk8.6
Description: Graphics extension library for Tcl/Tk - demos and examples
 BLT is a library of useful extensions for the Tcl language and the
 popular Tk graphical toolkit.  It adds a vector and tree data type,
 background execution and some debugging tools to Tcl, and provides
 several new widgets for Tk, including graphs, bar-charts, trees, tabs,
 splines and hyper-links, as well as a new geometry manager, drag &
 drop support, and more.
 .
 This package contains demos and samples showing the power and
 versatility of BLT.
