## blt test

=== Makefile ===
blt_test: test.c
	winegcc -m32 -o blt_test test.c -lgdi32 -lcomctl32
